{
----------------------------------------------------------------
Records in the TInternationals array must have the same order
as the elements in the TLangType enumeration. If you add any
new national record, please update both the enumeration and
the array at the end. Don't forget to modify the language name
cross referance constant array too.
----------------------------------------------------------------
}
type
  TLangType =
   (ltEnglish, ltRussian, ltPortuguese, ltTurkish, ltGerman,
    ltDutch, ltFrench, ltGreek, ltSpanish, ltItalian, ltHungarian,
    ltRomanian {,ltNewLanguage});

  TInternationalRec = record
     sCancelCaption: String;
     Captions: array [TMsgDlgType] of string;
     ButtonCaptions: array [TMsgDlgBtn] of string;
   end;

const
  Internationals: array [TLangType] of TInternationalRec =
  (
     (//ltEnglish
     sCancelCaption:'Cancel';
     Captions: ('Warning', 'Error', 'Information', 'Confirm', '');
     ButtonCaptions: ('Yes', 'No', 'OK', 'Cancel', 'Abort', 'Retry', 'Ignore', 'All', 'No to all', 'Yes to all', 'Help');
     ),
     (//ltRussian
     sCancelCaption: '';
     Captions: ('', '', '', '', '');
     ButtonCaptions: ('', '', 'OK', '', '', '', '', '', '  ', '  ', '');
     ),
     (//ltPortuguese
     sCancelCaption:'Cancela';
     Captions: ('Aviso', 'Erro', 'Informao', 'Confirmao', '');
     ButtonCaptions: ('Sim', 'No', 'OK', 'Cancela', 'Aborta', 'Tenta Novamente', 'Ignora', 'Tudo', 'No para Tudo', 'Sim para Tudo', 'Ajuda');
     ),
     (//ltTurkish
     sCancelCaption:'Vazge';
     Captions:('Uyar', 'Hata', 'Bilgi', 'Dorulama', '');
     ButtonCaptions: ('Evet', 'Hayr', 'TAMAM', 'Vazge', 'Durdur', 'Tekrar', 'ptal', 'Hepsi', 'Hepsine hayr', 'Hepsine evet', 'Yardm');
     ),
     (//ltGerman
     sCancelCaption:'Abbrechen';
     Captions: ('Warnung', 'Fehler', 'Information', 'Besttigung', '');
     ButtonCaptions: ('Ja', 'Nein', 'OK', 'Abbrechen', 'Abbrechen', 'Wiederholen', 'Ignorieren', 'Alle', 'Nein zu allen', 'Ja zu allen', 'Hilfe');
     ),
     (//ltDutch
     sCancelCaption:'Annuleren';
     Captions: ('Waarschuwing', 'Fout', 'Informatie', 'Bevestiging', '');
     ButtonCaptions: ('Ja', 'Nee', 'OK', 'Annuleren', 'Afbreken', 'Herhalen', 'Negeren', 'Alles', 'Nee op alles', 'Ja op alles', '?');
     ),
     (//ltFrench
     sCancelCaption:'Annuler';
     Captions: ('Avertissement', 'Erreur', 'Information', 'Confirmation', '');
     ButtonCaptions: ('Oui', 'Non', 'OK', 'Annuler', 'Abandonner', 'Ressayer', 'Ignorer', 'Tout', 'Non pour tous', 'Oui pour tous', 'Aide');
     ),
     (//ltGreek
     sCancelCaption:'';
     Captions: ('!', '', '', '', '');
     ButtonCaptions: ('', '', '', '', '', '', '', '', '  ', '  ', '');
     ),
     (//ltSpanish
     sCancelCaption:'Cancelar';
     Captions: ('Precaucin', 'Error', 'Informacin', 'Confirmacin', '');
     ButtonCaptions: ('Si', 'No', 'OK', 'Cancelar', 'Abortar', 'Reintentar', 'Ignorar', 'Todo', 'No a todo', 'Si a todo', 'Ayuda');
     ),
     (//ltItalian
     sCancelCaption:'Annulla';
     Captions: ('Attenzione', 'Errore', 'Informazione', 'Conferma', '');
     ButtonCaptions: ( 'Si', 'No', 'OK', 'Annulla', 'Termina', 'Riprova', 'Ignora', 'Tutti', 'No a tutti', 'Si a tutti', 'Aiuto!');
     ),
     (//ltHungarian
     sCancelCaption:'Mgsem';
     Captions: ('Figyelmeztets', 'Hiba', 'Informci', 'Megersts', '');
     ButtonCaptions: ('Igen', 'Nem', 'OK', 'Mgsem', 'Megszakt', 'jra', 'Kihagy', 'Mind', 'Mindre nem', 'Mindre igen', 'Sg');
     ),
     (//ltRomanian
     sCancelCaption: 'Anulare';
     Captions: ('Alert', 'Eroare', 'Informaie', 'Confirmare', '');
     ButtonCaptions: ('Da', 'Nu', 'OK', 'Anulare', 'Avortare', 'nc o dat', 'Ignorare', 'Toate', 'Toate: nu', 'Toate: da', 'Ajutor');
     )
     {,(//ltNewLanguage
     sCancelCaption: '';
     Captions: ('', '', '', '', '');
     ButtonCaptions: ('', '', '', '', '', '', '', '', '', '', '');
     )
     }
  );



//Used only in demo. Can be usefull? :-) 
const LanguageNamesXRef:array [TLangType,TLangType] of string = (
                {English    }{Russian    }{Portuguese }{Turkish    }{German     }{Dutch      }{French     }{Greek      }{Spanish    }{Italian    }{Hungarian  }{Romanian   }
              {|------------|------------|------------|------------|------------|------------|------------|------------|------------|------------|------------|------------|}
{English}      ('English'   ,'Russian'   ,'Portuguese','Turkish'   ,'German'    ,'Dutch'     ,'French'    ,'Greek'     ,'Spanish'   ,'Italian'   ,'Hungarian' ,'Romanian'  ),
{Russian?}     ('English'   ,'Russian'   ,'Portuguese','Turkish'   ,'German'    ,'Dutch'     ,'French'    ,'Greek'     ,'Spanish'   ,'Italian'   ,'Hungarian' ,'Romanian'  ),//needs updates
{Portuguese}   ('Ingles'    ,'Russo'     ,'portugues' ,'Turco'     ,'Alemao'    ,'Holandes'  ,'Frances'   ,'Grego'     ,'Espanhol'  ,'Italiano'  ,'Hngaro'   ,'romeno'    ),
{Turkish}      ('ngiliz'   ,'Rus'       ,'Portekizce','Trk'      ,'Almanca'   ,'Hollandaya','Fransz'   ,'Yunan'     ,'Ispanyolca','Italyanca' ,'Macarca'   ,'Romence'   ),
{German}       ('Englisch'  ,'Russisch', 'Portugiesisch','Trkisch','Deutsch'  ,'Hollndisch','Franzsisch','Griechisch','Spanisch' ,'Italienisch','Ungarisch','Rumnisch' ),
{Dutch}        ('Engels'    ,'Russisch'  ,'Portugees' ,'Turks'     ,'Duits'     ,'Hollands'  ,'Frans'     ,'Grieks'    ,'Spaans'    ,'Italiaans' ,'Hongaars'  ,'Roemeens'  ),
{French}       ('Anglais'   ,'Russe'     ,'Portugais' ,'Turc'      ,'Allemand' ,'Nerlandais','Franais'  ,'Hellnique','Espagnol'  ,'Italien'   ,'Hongrois'  ,'Roumain'   ),
{Greek?}       ('English'   ,'Russian'   ,'Portuguese','Turkish'   ,'German'    ,'Dutch'     ,'French'    ,'Greek'     ,'Spanish'   ,'Italian'   ,'Hungarian' ,'Romanian'  ),//needs updates
{Spanish}      ('Ingls'    ,'Ruso'      ,'Portugus' ,'Turco'     ,'Alemana'   ,'Holands'  ,'Francs'   ,'Griego'    ,'Espaol'   ,'Italiano'  ,'Hngaro'   ,'Rumano'    ),
{Italian}      ('Inglese'   ,'Russo'     ,'Portoghese','Turco'     ,'Tedesco'   ,'Olandese'  ,'Francese'  ,'Greco'     ,'Spagnolo'  ,'Italiano'  ,'Ungherese' ,'Rumeno'    ),
{Hungarian}    ('Angol'     ,'Orosz'     ,'Portugl'  ,'Trk'     ,'Nmet'     ,'Holland'   ,'Francia'   ,'Grg'     ,'Spanyol'   ,'Olasz'     ,'Magyar'    ,'Romn'     ),
{Romanian}     ('Englez'   ,'Rus'      ,'Portughez','Turc'     ,'German'   ,'Olandez'  ,'Francez'  ,'Greac'    ,'Spaniol'  ,'Italian'  ,'Maghiar'  ,'Romn'    )
);

